﻿using DevExpress.XtraBars.Ribbon;
using DevExpress.XtraBars;
using DevExpress.XtraSplashScreen;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using System.Configuration;
using FactoryTool.Properties;

namespace FactoryTool
{
    public partial class MainView : DevExpress.XtraBars.Ribbon.RibbonForm
    {
        public MainView()
        {
            InitializeComponent();
            if (!mvvmContext1.IsDesignMode)
                InitializeBindings();
        }

        string[] skinsToHide = { "Basic", "The Bezier", "Xmas 2008 Blue", "Seven Classic", "DevExpress Style", "Dark", "2010", "2007", "Sharp" };

        private void HideGalleryItemsByCaptions(RibbonGalleryBarItem galleryItem, string[] skinsToHide)
        {
            var allItems = galleryItem.Gallery.GetAllItems();
            foreach (GalleryItem item in allItems)
            {
                if (skinsToHide.Contains(item.Caption))
                    item.Visible = false;
            }
        }

        private void InitializeBindings()
        {
            var fluent = mvvmContext1.OfType<MainViewModel>();
        }

        private void MainView_Load(object sender, EventArgs e)
        {
            LoginView loginView = new LoginView();
            if (loginView.ShowDialog() != DialogResult.OK)
            {
                Dispose();  // 使用Dispose时，主窗口退出不闪烁;
                // Application.Exit(); // 直接退出进程时，主窗口会闪烁;
                return;
            }
            else
            {
                // 显示欢迎界面;
                SplashScreenManager.ShowForm(typeof(WelcomeScreen));
                // 展示5秒;
                Thread.Sleep(3000);
                // 关闭欢迎界面;
                SplashScreenManager.CloseForm();

                HideGalleryItemsByCaptions(skinRibbonGalleryBarItem1, skinsToHide);
            }
        }

        private void skinRibbonGalleryBarItem1_Gallery_ItemClick(object sender, GalleryItemClickEventArgs e)
        {
            // 保存用户选择的皮肤;
            string SkinName = e.Item.Value.ToString();
            Configuration config = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
            if (config.AppSettings.Settings["Skin"] == null)
            {
                config.AppSettings.Settings.Add("Skin", SkinName);               
            }
            else
            {
                config.AppSettings.Settings["Skin"].Value = SkinName;
            }
            config.Save(ConfigurationSaveMode.Modified);
            ConfigurationManager.RefreshSection(config.AppSettings.SectionInformation.Name);
        }
    }
}
